GuidoApp check_db "CHECK DATABASE CONNECTED"
$check_db setParam "databasesession" "GeologyDatabase"
set result [$check_db invoke]
$check_db destroy
if {$result == "0"} {
GuidoForm form {
-default_buttons
-label "Confirm deletion of all composites."
-tip DB_DELETE_COMPOSITES_TIP
-layout CentreLineLayout
GuidoCheckBox confirm {
-default false
-label "Delete all composites"
-selected_value true
-unselected_value false
-tip DB_DELETE_COMPOSITES_BOX_TIP
}
}
set return_code [$form interact]
if {$return_code == "apply"} {
if {[$confirm getCurrentValue] == "true"} {
GuidoApp composite "DELETE ALL COMPOSITES"
$composite invoke
$composite destroy
}
}
$form destroy
}
